import request from "@/utils/request";

// 查询巡查工单列表
export function listHcheck(query) {
  return request({
    url: "/mudu/hcheck/list",
    method: "get",
    params: query,
  });
}

// 查询巡查工单详细
export function getHcheck(id) {
  return request({
    url: "/mudu/hcheck/" + id,
    method: "get",
  });
}

// 新增巡查工单
export function addHcheck(data) {
  return request({
    url: "/mudu/hcheck",
    method: "post",
    data: data,
  });
}

// 修改巡查工单
export function updateHcheck(data) {
  return request({
    url: "/mudu/hcheck",
    method: "put",
    data: data,
  });
}

// 删除巡查工单
export function delHcheck(id) {
  return request({
    url: "/mudu/hcheck/" + id,
    method: "delete",
  });
}

// 导出巡查工单
export function exportHcheck(data) {
  return request({
    url: "/mudu/hcheck/export",
    method: "post",
    data,
  });
}

// 导入巡查工单
export function importHcheckTable(data) {
  return request({
    url: "/mudu/hcheck/importExcel",
    method: "post",
    headers: {
      "Content-Type": "application/x-www-form-urlencoded; charset=UTF-8",
    },
    data,
  });
}
